# VecPointwiseDivide

Computes the componentwise division w = x/y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseDivide(Vec w,Vec x,Vec y)

Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

Notes: any subset of the x, y, and w may be the same vector.

### C++ variants

| VecPointwiseDivide(Vec x,Vec y) |  | -> |  | VecPointwiseDivide(x,y,y)

### See Also

VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/snes/examples/tutorials/ex33f.F.html